be.vlaanderen.mercurius.efact.df019.v1

## Class RectificationType

- java.lang.Object
- - be.vlaanderen.mercurius.efact.df019.v1.RectificationType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-04-30T12:34:27+02:00",
                 comments="JAXB RI v2.3.7")
      public class RectificationType
      extends Object
      implements Serializable

  Elke regularisatie betreft een factuur waarin prestatie werden geregulariseerd

  Java class for RectificationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RectificationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="ImpactedInvoice" type="{http://www.mercurius.vlaanderen.be/efact/df019/v1}ImpactedInvoiceType"/>
               <element name="RectificationInvoiceLine" type="{http://www.mercurius.vlaanderen.be/efact/df019/v1}RectificationInvoiceLineType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RectificationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ImpactedInvoiceType` | `getImpactedInvoice()` Gets the value of the impactedInvoice property.
    `List<RectificationInvoiceLineType>` | `getRectificationInvoiceLines()` Gets the value of the rectificationInvoiceLines property.
    `void` | `setImpactedInvoice(ImpactedInvoiceType value)` Sets the value of the impactedInvoice property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RectificationType

          public RectificationType()

  - ### Method Detail

    - #### getImpactedInvoice

          public ImpactedInvoiceType getImpactedInvoice()

      Gets the value of the impactedInvoice property.
      Returns:
        possible object is `ImpactedInvoiceType`

    - #### setImpactedInvoice

          public void setImpactedInvoice(ImpactedInvoiceType value)

      Sets the value of the impactedInvoice property.
      Parameters:
        `value` - allowed object is `ImpactedInvoiceType`

    - #### getRectificationInvoiceLines

          public List<RectificationInvoiceLineType> getRectificationInvoiceLines()

      Gets the value of the rectificationInvoiceLines property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rectificationInvoiceLines property.

      For example, to add a new item, do as follows:

              getRectificationInvoiceLines().add(newItem);

      Objects of the following type(s) are allowed in the list `RectificationInvoiceLineType`

Connector Packaging TRUSSMAKER 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.